
@import url('https://fonts.googleapis.com/css2?family=Inter:wght@300;400;500;600;700&family=Bebas+Neue&display=swap');

:root{
    --daffy-blue:#001758;
    --daffy-pink:#ff2f92;
    --light-bg:#f5f5f5;
}

*{
    margin:0;
    padding:0;
    box-sizing:border-box;
}

html{
    scroll-behavior:smooth;
}

body{
    font-family:'Inter', sans-serif;
    font-size:15px;
    font-weight:400;
    line-height:1.7;
    color:#001758;
    background:#fff;
}

.container{
    width:90%;
    max-width:1400px;
    margin:auto;
}

section{
    padding:100px 0;
}




/* =====================================================
   TOP BAR
===================================================== */

.topbar{

    position:fixed;

    top:0;
    left:0;

    width:100%;
    height:38px;

    display:flex;
    justify-content:space-between;
    align-items:center;

    padding:0 40px;

    z-index:1001;

    background:#001758;

    border-bottom:1px solid rgba(255,255,255,.08);

    color:#fff;

    font-family:'Bebas Neue',sans-serif;
    font-size:14px;
    letter-spacing:1px;
}

.topbar svg{

    width:14px;

    height:14px;

    stroke-width:1.75;

    margin-right:8px;

    vertical-align:middle;

}

.topbar-left{
    display:flex;
    gap:30px;
}

.topbar a{
    color:white;
    text-decoration:none;
}

.topbar a:hover{
    color:var(--daffy-pink);
}

/* =====================================================
   HEADER
===================================================== */

.main-header{
    position:fixed;
    top:38px;
    left:0;
    width:100%;
    z-index:10001;
	background: rgb(0, 23, 88);
	padding: 17px 40px;
}

.navbar{
    display:flex;
    justify-content:space-between;
    align-items:center;
}



.logo{

    display:flex;

    align-items:center;
}

.logo img{

    height:48px;

    width:auto;

    display:block;
}

.menu{

    display:flex;

    justify-content:center;

    align-items:center;

    gap:45px;
}

.menu a{

    color:white;

    text-decoration:none;

    font-family:'Bebas Neue',sans-serif;

    font-size:14px;

    letter-spacing:1px;

    transition:.3s;
}

.menu a:hover{
    color:var(--daffy-pink);
}

.header-right{

    display:flex;

    justify-content:flex-end;

    align-items:center;

    gap:25px;
}

.lang{

    color:white;

    text-decoration:none;

    font-family:'Bebas Neue',sans-serif;

    font-size:14px;
}

.booking-btn{

    display:inline-block;

    border:1px solid white;

    padding:10px 20px 10px 17px ;

    color:white;

    text-decoration:none;

    font-family:'Bebas Neue',sans-serif;

    font-size:14px;

    transition:.3s;
}

.booking-btn:hover{

    background:#0000ff;
	border:1px solid #0000ff;

    color:white;
}

    .booking-btn svg {
        width:14px;
		height:14px;
		margin-right:15px;
    }

/* =====================================================
   BUTTONS
===================================================== */

.btn,
.hero-btn{

    display:inline-block;

    padding:18px 50px;

    background:var(--daffy-pink);

    color:white;

    text-decoration:none;

    font-family:'Bebas Neue',sans-serif;

    font-size:18px;

    letter-spacing:2px;

    transition:.3s;
}

.btn:hover,
.hero-btn:hover{

    background:#ff4ca6;

    transform:translateY(-4px);
}

/* =====================================================
   HERO
===================================================== */

.hero{

    position:relative;

    margin-top:118px;

    min-height:calc(100vh - 118px);

    background:
        url('../images/daffy-hero.jpg')
        top center /
        cover no-repeat;

    display:flex;

    align-items:center;

    justify-content:center;

    text-align:center;

    overflow:hidden;
}


.hero::after{
    content:"";

    position:absolute;

    left:0;
    bottom:0;

    width:100%;
    height:4px;

    background:
       linear-gradient(90deg, rgb(106, 174, 255), rgb(233, 194, 249));
}



.hero-overlay{

    position:absolute;
    inset:0;

    background:
        linear-gradient(
            rgba(0,23,88,.35),
            rgba(0,23,88,.55)
        );

    z-index:1;
}

.hero-content{

    position:relative;

    z-index:10;

    width:100%;

    max-width:1200px;

    margin:auto;

    display:flex;

    flex-direction:column;

    align-items:center;

    justify-content:center;

    text-align:center;
}

.hero-badge{
font-weight: 700;
    font-size: 12px;
    border: 1px solid rgba(255, 255, 255, 0.6);
    color: rgba(255, 255, 255, 0.99);
    margin: 0 auto 40px;
    display: inline-flex;
    padding: 5px 12px;
}

.hero-badge h1{
font-weight: 700;
    font-size: 12px;
	color: rgba(255, 255, 255, 0.99);
}

.hero .baseline{

    font-family: 'Bebas Neue', sans-serif;
    font-size: 100px;
    line-height: 0.98;
    max-width: 780px;
    margin: 0 auto;
    color: white;
	font-weight:700;

  
}

.hero h1 span{
    color:white;
}

.hero p{

    max-width:550px;

    margin:30px auto 40px;

    font-size:20px;

    line-height:1.5;

    color:white;
}

.hero-btn{

    padding:18px 55px;

    background:var(--daffy-pink);

    color:white;

    text-decoration:none;

    font-family:'Bebas Neue',sans-serif;

    font-size:26px;

    letter-spacing:2px;
}

.scroll-indicator{

    position:absolute;

    bottom:40px;

    left:50%;

    transform:translateX(-50%);

    z-index:10;

    text-align:center;

    color:white;

    font-family:'Bebas Neue',sans-serif;

    letter-spacing:2px;
}

.mouse{

    width:34px;
    height:54px;

    border:2px solid white;

    border-radius:20px;

    margin:0 auto 15px;
}

.mouse::before{

    content:'';

    display:block;

    width:5px;
    height:10px;

    background:white;

    border-radius:10px;

    margin:8px auto;
}

/* =====================================================
   TITLES
===================================================== */

.title{

    font-family:'Bebas Neue',sans-serif;

    font-size:72px;

    line-height:.99;

    letter-spacing:1px;

    text-transform:uppercase;

    margin-bottom:25px;
}

.title span{
    color:var(--daffy-pink);
	font-style:italic;
	
}

/* =====================================================
   LAYOUT
===================================================== */

.grid-2{

    display:grid;

    grid-template-columns:1fr 1fr;

    gap:80px;

    align-items:center;
}

.grid-2 img{
    width:100%;
	height:auto;
    display:block;
}

/* =====================================================
   INTRO
===================================================== */

.intro{
    background:#f5f5f5;
}

.intro p{
    margin-bottom:20px;
}


.intro .surtitre{ 
letter-spacing: 3px;
    margin-bottom: 25px;
    font-family: 'Bebas Neue', sans-serif;
    font-size: 11px;
    line-height: 0.98;
    color: #001758;
    font-weight: bold;
}

/* =====================================================
   DISCOVER
===================================================== */

.discover{

    position:relative;

    height:700px;

    background:
        url('../images/discover.jpg')
        center center /
        cover no-repeat;

    display:flex;

    flex-direction:column;

    align-items:center;

    justify-content:center;

    text-align:center;

    overflow:hidden;
}

.discover::before{

    content:"";

    position:absolute;

    inset:0;

    background:#001758;

    opacity:.35;

    z-index:1;
}

.discover .surtitre{

    position:relative;

    z-index:2;

    margin-bottom:25px;

    font-family:'Bebas Neue',sans-serif;

    font-size:12px;

    letter-spacing:5px;

    text-transform:uppercase;

    color:rgba(255,255,255,.9);
	margin-bottom:40px;
}

.discover h2{

    position:relative;

    z-index:2;

    font-family:'Bebas Neue',sans-serif;

    color:white;

    font-size:105px;

    line-height:.95;

    text-transform:uppercase;
}

.discover h2 span{

    color:var(--daffy-pink);

    font-style:italic;
}


/* =====================================================
   ROOMS
===================================================== */

.rooms{

    position:relative;

    background:#001758;

    color:white;

    overflow:hidden;
}

.rooms::before{

    content:"";

    position:absolute;

    inset:0;

    background-image:
        linear-gradient(
            rgb(226, 40, 134) 1px,
            transparent 1px
        ),
        linear-gradient(
            90deg,
            rgb(226, 40, 134) 1px,
            transparent 1px
        );

    background-size:48px 48px;

    opacity:.3;

    pointer-events:none;

    z-index:1;
}

.rooms .container{

    position:relative;

    z-index:2;
}

.rooms .title{
    color:white;
}

.rooms img{
    width:100%;
}



.rooms h2 span{
    font-style:italic;
}


.rooms p{
	opacity:0.7;
	margin-bottom:20px;
}


.rooms .surtitre{

    display:flex;

    align-items:center;

    gap:16px;

    letter-spacing:3px;

    margin-bottom:25px;

    font-family:'Bebas Neue',sans-serif;

    font-size:11px;

    line-height:.98;

    color:#e22886;

    font-weight:bold;

    text-transform:uppercase;
}

.rooms .surtitre::before{

    content:"";

    width:40px;

    height:1px;

    background:#e22886;

    flex-shrink:0;
}




/* =====================================================
   RESTAURANT
===================================================== */



.restaurant{
background-image: linear-gradient(135deg, rgb(244, 182, 187) 29.221%, rgb(233, 194, 249) 111.04%);
}


.restaurant .grid-2{

    display:grid;

    grid-template-columns:7fr 5fr;

    gap:80px;

    align-items:center;
}

.restaurant .title{
    color:#00195c;
}





.restaurant .surtitre{

    display:flex;

    align-items:center;

    gap:16px;

    letter-spacing:3px;

    margin-bottom:25px;

    font-family:'Bebas Neue',sans-serif;

    font-size:11px;

    line-height:.98;

    color:#00195c;

    font-weight:bold;

    text-transform:uppercase;
}




.restaurant .surtitre::before{

    content:"";

    width:40px;

    height:1px;

    background:#00195c;

    flex-shrink:0;
}

/* ==========================================
   SLIDER
========================================== */

.restaurant-slider{

    position:relative;

    width:100%;

    min-width:0;

    max-width:100%;

    overflow:hidden;
}

.restaurant-slider.swiper{

    width:100%;
}

.restaurant-slider .swiper-wrapper{

    width:100%;
}

.restaurant-slider .swiper-slide{

    min-width:0;

    overflow:hidden;
}

.restaurant-slider img{

    width:100%;

    height:auto;

    object-fit:contain;
}
.slide-label{

    position:absolute;

    left:28px;

    bottom:28px;

    background:#001758;

    color:white;

    padding:16px 22px;

    font-family:'Bebas Neue',sans-serif;

    font-size:22px;

    text-transform:uppercase;

    z-index:2;
}

/* ==========================================
   PAGINATION
========================================== */



.restaurant-slider .swiper-pagination{

    position:relative !important;

    margin-top:26px;

    padding-left:0;

    text-align:center;
}

.restaurant-slider .swiper-pagination-bullet{

    width:12px;

    height:12px;

    margin:0 5px !important;

    opacity:1 !important;

    background:#c9b7c1 !important;

    border-radius:50%;

    transition:all .3s ease;
}

.restaurant-slider .swiper-pagination-bullet-active{

    width:42px;

    height:12px;

    border-radius:20px;

    background:#ff2f92 !important;
}
/* =====================================================
   EXPERIENCES
===================================================== */

.experiences{
    background:#f4f4f4;
}

.cards{

    display:grid;

    grid-template-columns:repeat(3,1fr);

    gap:30px;
}

.card img{
    width:100%;
	height:auto;
    display:block;
}

.card h3{

    margin-top:15px;

    font-family:'Bebas Neue',sans-serif;

    font-size:34px;

    text-transform:uppercase;
}



.experiences .surtitre{

    display:flex;

    align-items:center;

    gap:16px;

    letter-spacing:3px;

    margin-bottom:25px;

    font-family:'Bebas Neue',sans-serif;

    font-size:11px;

    line-height:.98;

    color:#00195c;

    font-weight:bold;

    text-transform:uppercase;
}

.experiences .surtitre::before{

    content:"";

    width:40px;

    height:1px;

    background:#00195c;

    flex-shrink:0;
}

/* =====================================================
   SEMINARS
===================================================== */

.seminars{

background-image: linear-gradient(189.583deg, rgb(244, 182, 187) 48.218%, rgb(241, 240, 145) 92.215%);
}


.seminars .title{
    color:#0a0a0a;
}


.seminars h2 span{
    font-style:italic;
}



.seminars .surtitre{

    display:flex;

    align-items:center;

    gap:16px;

    letter-spacing:3px;

    margin-bottom:25px;

    font-family:'Bebas Neue',sans-serif;

    font-size:11px;

    line-height:.98;

    color:#0a0a0a;

    font-weight:bold;

    text-transform:uppercase;
}

.seminars .surtitre::before{

    content:"";

    width:40px;

    height:1px;

    background:#0a0a0a;

    flex-shrink:0;
}



.seminars p{
	color:#0a0a0a;
	opacity:0.7;
	margin-bottom:20px;
}



.seminars .grid-2{

    display:grid;

    grid-template-columns:7fr 5fr;

    gap:80px;

    align-items:center;
}



.seminars .btn{

    display:inline-block;

background : #0000ff;

    padding:10px 32px;

    color:white;

    text-decoration:none;

    font-family:'Bebas Neue',sans-serif;

    font-size:18px;

    transition:.3s;
}

.seminars .btn:hover{

    background:#e22886;

    color:white;
}



.stats{

    display:flex;

    gap:80px;

    margin-top:40px;
	
	color:#0a0a0a;
}

.stat{
	letter-spacing: 2px;
    text-transform: uppercase;
    color: #0a0a0a80;
    font-size: 11px;
    text-align: left;
}

.stat strong{

    display:block;

    font-family:'Bebas Neue',sans-serif;

    font-size:48px;
	
	color:#0a0a0a;
}





/* =====================================================
   LANGUES
===================================================== */

.lang-selector{
    position:relative;
}

.lang-current{
    background:none;
    border:none;
    color:white;
    font-family:'Bebas Neue', sans-serif;
    font-size:16px;
    cursor:pointer;
}

.lang-dropdown{
    position:absolute;
    top:100%;
    right:0;
    min-width:30px;
    background:#0a0a0a;
	border-top: solid 1px #0000ff;
    display:none;
    z-index:9999;
}

.lang-dropdown a{
    display:block;
    padding:12px 16px;
    color:#ffffff;
    text-decoration:none;
    font-family:'Bebas Neue', sans-serif;
    font-size:14px;
}

.lang-dropdown a:hover{
    background:rgb(226, 40, 134);
}

.lang-selector:hover .lang-dropdown{
    display:block;
}

/* =====================================================
   STICKY
===================================================== */

.sticky-sales-bar {
    position: fixed;
    bottom: 0;
    left: 0;
    width: 100%;
    min-height: 45px;
	padding:10px;
    line-height: 25px;
    background: #E22886;
    color: #fff;
    text-align: center;
    font-size: 18px;
    font-weight: 600;
    z-index: 9999;
}

.sticky-sales-bar a {
    color:white;
	text-decoration:none;
}

body {
    padding-bottom: 25px;
}


/* =====================================================
   FOOTER
===================================================== */

footer{

    background:var(--daffy-blue);

    color:rgba(255,255,255,.5);

    padding:80px 0;
	
	font-size:12px; 
}

.footer-grid{

    display:grid;

    grid-template-columns:2fr 1fr 1fr;

    gap:40px;
}

footer a{

    color:white;

    text-decoration:none;

    display:block;

    margin-bottom:10px;
}


footer svg{

    width:14px;

    height:14px;

    stroke-width:1.75;

    margin-right:8px;

    vertical-align:middle;
	color:#ff2f92;
}

.footer-bottom{

    margin-top:60px;

    padding-top:25px;

    border-top:1px solid rgba(255,255,255,.15);

    display:flex;

    justify-content:space-between;

    align-items:center;

    gap:30px;

    color:rgba(255,255,255,.5);

    font-size:12px;
}

.footer-copyright{

    font-family:'Inter', sans-serif;
}

.footer-title{

color:rgba(255,255,255,.5);
    text-decoration: none;
    font-family: 'Bebas Neue', sans-serif;
    font-size: 14px;
    letter-spacing: 1px;
	margin-bottom:25px;
}



.footer-links{

    display:flex;

    gap:30px;
}



.footer-title a{


color:rgba(255,255,255,.5);
    text-decoration:none;


    font-size:12px;

    letter-spacing:1px;

    transition:.3s;
}


.footer-links a{


color:rgba(255,255,255,.5);
    text-decoration:none;


    font-size:12px;

    letter-spacing:1px;

    transition:.3s;
}

.footer-links a:hover{

    color:#ff2f92;
}

.footer-logo{
	
}


.footer-logo img{
	width:100%;
	height:auto;
	max-width:145px;
	margin-bottom:25px;
}


.footer-address{
	color:white;
}


/* =====================================================
   MENU BURGER
===================================================== */

.burger{
	color:white;
    width:40px;
    height:40px;
    background:none;
    border:none;
    cursor:pointer;
    display:none;
    position:relative;
    z-index:10001;
}

.burger span{
    position:absolute;
    left:5px;
    width:30px;
    height:3px;
    background:#fff;
    transition:.3s;
}

.burger span:nth-child(1){
    top:10px;
}

.burger span:nth-child(2){
    top:18px;
}

.burger span:nth-child(3){
    top:26px;
}

.burger.active span:nth-child(1){
    transform:rotate(45deg);
    top:18px;
}

.burger.active span:nth-child(2){
    opacity:0;
}

.burger.active span:nth-child(3){
    transform:rotate(-45deg);
    top:18px;
}

.mobile-menu{
    display:none;
}
@media (max-width: 992px){
	
	
	.hero {
    position: relative;
    margin-top: 118px;
    min-height: calc(100vh - 118px);
    background: url(../images/daffy-hero.jpg) top center / cover no-repeat;
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
    overflow: hidden;
}



	.logo img {
    height: 38px;
    width: auto;
    display: block;
}

    .menu{
        display:none;
    }

    .booking-btn{
        display:none;
    }



    .burger{
        display:block;
        position:relative;
        z-index:10002;
    }

.mobile-menu{
    position:fixed;
    top:0;
    left:0;
    width:100vw;
    height:100vh;
    background: rgb(0, 23, 88);

    display:flex;
    flex-direction:column;

    padding-top:140px;

    opacity:0;
    visibility:hidden;

    transform:translateX(100%);

    transition:.35s ease;

    z-index:9999;
}


.mobile-menu.active{
    opacity:1;
    visibility:visible;
    transform:translateX(0);
}

    .mobile-menu a{
		font-family:'Bebas Neue', sans-serif;
        padding:22px 30px;
        border-bottom:1px solid #eee;
        color:white;
        text-decoration:none;
        font-weight:500;
        font-size:1.2rem;
    }

    .mobile-menu a:last-child{
        border-bottom:none;
    }

    .lang{
        color:white;
        text-decoration:none;
        font-family:'Bebas Neue', sans-serif;
        font-size:18px;
        padding-top:5px;
    }

    .header-right{
        margin-left:auto;
    }



.main-header{

	padding: 0;
}


.restaurant .grid-2{
        grid-template-columns: 1fr;
        gap: 40px;
    }
	
	
	.seminars .grid-2{
        grid-template-columns: 1fr;
        gap: 40px;
    }

}







/* =====================================================
   RESPONSIVE
===================================================== */

@media(max-width:1200px){

    .menu{
        gap:25px;
    }

    .menu a{
        font-size:14px;
    }

    .hero p{
        font-size:14px;
    }

}

@media(max-width:992px){


  .navbar{
        display:flex;
        justify-content:space-between;
        align-items:center;
        width:100%;
    }

.header-right{
    display:flex;
    justify-content:flex-end;
    align-items:center;
    gap:25px;
    margin-left:auto;
}

    .topbar{
        display:block;
		padding: 10px 25px;
    }

    .topbar-right{
        display:none;
    }
	
	   .topbar a{
        color:#ffffff90;
    }
	
	

    header{
        top:0;
    }

    .menu{
        display:none;
    }

    .grid-2{
        grid-template-columns:1fr;
    }

    .cards{
        grid-template-columns:1fr;
    }

    .instagram-grid{
        grid-template-columns:repeat(3,1fr);
    }

    .footer-grid{
        grid-template-columns:1fr;
    }

   

    .hero p{
        font-size:22px;
    }
	
	.hero-badge{
font-weight: 700;
    font-size: 12px;
    border: 1px solid rgba(255, 255, 255, 0.6);
    color: rgba(255, 255, 255, 0.99);
    margin: 0 auto 40px;
    display: inline-flex;
    padding: 5px 12px;
}

.hero-badge h1{
font-weight: 700;
    font-size: 12px;
	color: rgba(255, 255, 255, 0.99);
}


.hero .baseline{

    font-family: 'Bebas Neue', sans-serif;
    font-size: 72px;
    line-height: 0.98;
    max-width: 330px;
    margin: 0 auto;
    color: white;
	font-weight:700;

  
}

    .title{
        font-size:50px;
    }
}

@media(max-width:768px){

    .navbar{
        padding:20px;
    }

   

    .hero p{
        width: 90%;
        font-size: 16px;
    }

    .hero-btn,
    .btn{
        font-size:22px;
        padding:15px 35px;
    }

    .stats{
        flex-direction:column;
        gap:30px;
    }

    .instagram-grid{
        grid-template-columns:repeat(2,1fr);
    }
}

